"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AwsLambdaLogWrapper = void 0;
class AwsLambdaLogWrapper {
    constructor(log) {
        this.log = log;
    }
    contentToParams(content) {
        const { clientName, commandName, ...meta } = content;
        meta['aws-sdk'] = true;
        return [`aws-sdk: ${clientName}.${commandName}`, meta];
    }
    debug(content) {
        this.log.debug(...this.contentToParams(content));
    }
    info(content) {
        this.log.info(...this.contentToParams(content));
    }
    warn(content) {
        this.log.warn(...this.contentToParams(content));
    }
    error(content) {
        this.log.error(...this.contentToParams(content));
    }
}
exports.AwsLambdaLogWrapper = AwsLambdaLogWrapper;
//# sourceMappingURL=index.js.map